Bug 1281309 - [abrt] policycoreutils-devel: gui.py:670:lockdown_init:KeyError: 'unconfined'
[abrt] policycoreutils-devel: gui.py:670:lockdown_init:KeyError: 'unconfined'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e10ac62e33827df92c3ae12b311...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 04:45 EST by cube00
Modified: 2016-03-21 04:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: policycoreutils-2.4-18.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 03:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (507 bytes, text/plain)
2015-11-12 04:45 EST, cube00
no flags Details
File: environ (1.58 KB, text/plain)
2015-11-12 04:45 EST, cube00
no flags Details

  None (edit)
Description cube00 2015-11-12 04:45:36 EST
Version-Release number of selected component:
policycoreutils-devel-2.4-15.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -Es /usr/bin/sepolicy gui
executable:     /usr/bin/sepolicy
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
gui.py:670:lockdown_init:KeyError: 'unconfined'

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/sepolicy/gui.py", line 1389, in tab_change
    self.lockdown_init()
  File "/usr/lib64/python3.4/site-packages/sepolicy/gui.py", line 670, in lockdown_init
    self.enable_unconfined_button.set_active(not self.module_dict["unconfined"]["Disabled"])
KeyError: 'unconfined'

Local variables in innermost frame:
self: <sepolicy.gui.SELinuxGui object at 0x7f0f77141240>
mod: []
m: ''
Comment 1 cube00 2015-11-12 04:45:41 EST
Created attachment 1093096 [details]
File: backtrace
Comment 2 cube00 2015-11-12 04:45:43 EST
Created attachment 1093097 [details]
File: environ
Comment 3 Fedora Update System 2015-12-14 15:21:26 EST
policycoreutils-2.4-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c24c78c36d
Comment 4 Fedora Update System 2015-12-15 05:52:26 EST
policycoreutils-2.4-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update policycoreutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c24c78c36d
Comment 5 Fedora Update System 2015-12-16 03:23:52 EST
policycoreutils-2.4-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-12-16 09:35:02 EST
policycoreutils-2.4-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.